xt/html; charset=UTF-8
Last-Modified: Thu, 09 Jan 2025 17:47:08 GMT
Expires: Thu, 09 Jan 2025 21:47:08 GMT

<!DOCTYPE html>
<html lang='en'>
<head>
<title>cgit - Web front-end for git that you're looking at right now. Might have had a few additions from upstream.</title>
<meta name='generator' content='cgit v1.2.3-54-g00ecf'/>
<meta name='robots' content='index, nofollow'/>
<link rel='stylesheet' type='text/css' href='/cgit.css'/>
<script type='text/javascript' src='/cgit.js'></script>
<link rel='shortcut icon' href='/favicon.ico'/>
<link rel='alternate' title='Atom feed' href='http://git.twilightsparkle.space/cgit/atom/?h=master' type='application/atom+xml'/>
<link rel='vcs-git' href='https://git.twilightsparkle.space/cgit' title='cgit Git repository'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/'><img src='/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/'>index</a> : <a href='/cgit/'>cgit</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='4f6fb32f5881a093be4c2f41c72813b80404c569'/><input type='hidden' name='showmsg' value='1'/><select name='h' onchange='this.form.submit();'>
<option value='master' selected='selected'>master</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>Web front-end for git that you're looking at right now. Might have had a few additions from upstream.</td><td class='sub right'></td></tr></table>
<table class='tabs'><tr><td>
<a href='/cgit/about/'>about</a><a href='/cgit/'>summary</a><a href='/cgit/refs/?id=4f6fb32f5881a093be4c2f41c72813b80404c569'>refs</a><a class='active' href='/cgit/log/?showmsg=1'>log</a><a href='/cgit/tree/?id=4f6fb32f5881a093be4c2f41c72813b80404c569'>tree</a><a href='/cgit/commit/?id=4f6fb32f5881a093be4c2f41c72813b80404c569' rel='nofollow'>commit</a><a href='/cgit/diff/?id=4f6fb32f5881a093be4c2f41c72813b80404c569'>diff</a><a href='/cgit/stats/'>stats</a><a href='https://git.zx2c4.com/cgit/about'>homepage</a></td><td class='form'><form class='right' method='get' action='/cgit/log/'>
<input type='hidden' name='id' value='4f6fb32f5881a093be4c2f41c72813b80404c569'/><input type='hidden' name='showmsg' value='1'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='content'><table class='list nowrap'><tr class='nohover'><th></th><th class='left'>Commit message (<a href='/cgit/log/?id=4f6fb32f5881a093be4c2f41c72813b80404c569&amp;ofs=100'>Collapse</a>)</th><th class='left'>Author</th><th class='left'>Age</th></tr>
<tr class='nohover'><td class='commitgraph'>...</td><td colspan='4' /></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=849ecd961df9454d6f849eac34e6f501395c4f01' rel='nofollow'>Update git to v1.8.2.1</a></td><td>John Keeping</td><td><span title='2013-04-08 15:41:38 +0200'>2013-04-08</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> </td>
<td colspan='3' class='logmsg'>
This requires a small change to how we handle notes, but otherwise just
works.

Note that we can't use anything from v1.8.0 unt<style>pre { line-height: 125%; }
td.linenos .normal { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
span.linenos { color: inherit; background-color: transparent; padding-left: 5px; padding-right: 5px; }
td.linenos .special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding-left: 5px; padding-right: 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span>name=@PROJECT_NAME@
prefix=@CMAKE_INSTALL_PREFIX@
exec_prefix=${prefix}
libdir=${prefix}/@CMAKE_INSTALL_LIBDIR@
includedir=${prefix}/@CMAKE_INSTALL_INCLUDEDIR@

Name: ${name}
Description: @PROJECT_DESCRIPTION@
Version: @PROJECT_VERSION@
Cflags: -I${includedir}
Libs: -L${libdir} -l${name}
Requires: libcurl
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3-54-g00ecf</a> (<a href='https://git-scm.com/'>git 2.39.0</a>) at 2025-01-09 17:47:08 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
013-03-20</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> </td>
<td colspan='3' class='logmsg'>
Since tail is initialized to 0, we will never get a warning on the last
if statement, but recent gcc complains anyway. So, we initialize len as
well. Future gcc versions should be able to optimize this out anyway.


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=7669f7f73082ce9eb1aef28495773492cc5bec90' rel='nofollow'>cgit.mk: Use SHELL_PATH_SQ to run gen-version.sh</a></td><td>John Keeping</td><td><span title='2013-03-20 21:08:32 +0100'>2013-03-20</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> </td>
<td colspan='3' class='logmsg'>
On some platforms (notably Solaris) /bin/sh doesn't support enough of
POSIX for gen-version.sh to run.  Git's Makefile provides SHELL_PATH_SQ
to address this issue so we just have to use it.

Signed-off-by: John Keeping &lt;john@keeping.me.uk&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=d6768a67093166810621d2521f10fd016bd75721' rel='nofollow'>cgit.mk: don't rebuild everything if CGIT_VERSION changes</a></td><td>John Keeping</td><td><span title='2013-03-20 21:08:32 +0100'>2013-03-20</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> </td>
<td colspan='3' class='logmsg'>
If CGIT_VERSION is in CGIT_CFLAGS then a change in version (for example
because you have committed your changes) causes all of the CGit objects
to be rebuilt.  Avoid this by using EXTRA_CPPFLAGS to add the version
for only those files that are affected and make them depend on VERSION.

Signed-off-by: John Keeping &lt;john@keeping.me.uk&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=1a6feaf5fafdaec4a1adb1c0d54b95106122ede5' rel='nofollow'>ui-patch: use cgit_version not CGIT_VERSION</a></td><td>John Keeping</td><td><span title='2013-03-20 21:08:32 +0100'>2013-03-20</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> </td>
<td colspan='3' class='logmsg'>
We already have a global cgit_version which is set from the #define'd
CGIT_VERSION in cgit.c.  Change ui-patch.c to use this so that we only
need to rebuild cgit.o when the version changes.

Signed-off-by: John Keeping &lt;john@keeping.me.uk&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=5f323c1ff45c10d8f8b0a673d2fe7e98272f5d78' rel='nofollow'>Makefile: re-use Git's Makefile where possible</a></td><td>John Keeping</td><td><span title='2013-03-20 21:08:32 +0100'>2013-03-20</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> </td>
<td colspan='3' class='logmsg'>
Git does quite a lot of platform-specific detection in its Makefile,
which can result in it defining preprocessor variables that are used in
its header files.  If CGit does not define the same variables it can
result in different sizes of some structures in different places in the
same application.

For example, on Solaris Git uses it's "compat" regex library which has a
different sized regex_t structure than that available in the platform
regex.h.  This has a knock-on effect on the size of "struct rev_info"
and leads to hard to diagnose runtime issues.

In order to avoid all of this, introduce a "cgit.mk" file that includes
Git's Makefile and make all of the existing logic apply to CGit's
objects as well.  This is slightly complicated because Git's Makefile
must run in Git's directory, so all references to CGit files need to be
prefixed with "../".

In addition, OBJECTS is a simply expanded variable in Git's Makefile so
we cannot just add our objects to it.  Instead we must copy the two
applicable rules into "cgit.mk".  This has the advantage that we can
split CGit-specific CFLAGS from Git's CFLAGS and hence avoid rebuilding
all of Git whenever a CGit-specific value changes.

Signed-off-by: John Keeping &lt;john@keeping.me.uk&gt;
Acked-by: Jamie Couture &lt;jamie.couture@gmail.com&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=e1e0e038fd0fee3fe10524d7466deab03e78deb5' rel='nofollow'>tests: check that Git version are in sync</a></td><td>John Keeping</td><td><span title='2013-03-20 21:06:50 +0100'>2013-03-20</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> 
<span class='column1'>|</span> </td>
<td colspan='3' class='logmsg'>
This ensures that the Git version pointed at by the submodule is the
same as the one that will be fetched using "make get-git".

Suggested-by: Ferry Huberts &lt;ferry.huberts@pelagic.nl&gt;
Signed-off-by: John Keeping &lt;john@keeping.me.uk&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>*   </td><td class='logsubject'><a href='/cgit/commit/?id=0255821e22678d4c58c809efe17bf2798835d5b9' rel='nofollow'>Merge branch 'wip'</a></td><td>Jason A. Donenfeld</td><td><span title='2013-03-20 20:21:25 +0100'>2013-03-20</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column2'>|</span><span class='column3'>\</span>  </td>
<td colspan='3' class='logmsg'>
</td></tr>
<tr class='logheader'><td class='commitgraph'><span class='column2'>|</span> * </td><td class='logsubject'><a href='/cgit/commit/?id=59fe348deaa270434f05afc56ca8d13618af9ca9' rel='nofollow'>cgit_print_snapshot_links(): Free prefix variable</a></td><td>Lukas Fleischer</td><td><span title='2013-03-04 20:47:54 -0500'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
Fixes following memory leak seen with "PATH_INFO=/cgit/commit/":

    ==16894== 12 bytes in 1 blocks are definitely lost in loss record 9 of 92
    ==16894==    at 0x4C2C04B: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==16894==    by 0x56F2DF1: strdup (in /usr/lib/libc-2.17.so)
    ==16894==    by 0x46CAC8: xstrdup (wrapper.c:35)
    ==16894==    by 0x414E34: cgit_print_snapshot_links (ui-shared.c:926)
    ==16894==    by 0x40CFA1: cgit_print_commit (ui-commit.c:102)
    ==16894==    by 0x407B06: commit_fn (cmd.c:54)
    ==16894==    by 0x405E16: process_request (cgit.c:574)
    ==16894==    by 0x4074C8: cache_process (cache.c:322)
    ==16894==    by 0x406C4F: main (cgit.c:872)

Signed-off-by: Lukas Fleischer &lt;cgit@cryptocrack.de&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'><span class='column2'>|</span> * </td><td class='logsubject'><a href='/cgit/commit/?id=bc2f5a6d53fa8ec1dee3335dd6de4650f834231b' rel='nofollow'>cgit_print_commit(): Free tmp variable</a></td><td>Lukas Fleischer</td><td><span title='2013-03-04 20:47:53 -0500'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
Fixes following memory leak seen with "PATH_INFO=/cgit/commit/":

    ==16894== 7 bytes in 1 blocks are definitely lost in loss record 4 of 92
    ==16894==    at 0x4C2C04B: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==16894==    by 0x56F2DF1: strdup (in /usr/lib/libc-2.17.so)
    ==16894==    by 0x46CAC8: xstrdup (wrapper.c:35)
    ==16894==    by 0x40CD6F: cgit_print_commit (ui-commit.c:70)
    ==16894==    by 0x407B06: commit_fn (cmd.c:54)
    ==16894==    by 0x405E16: process_request (cgit.c:574)
    ==16894==    by 0x4074C8: cache_process (cache.c:322)
    ==16894==    by 0x406C4F: main (cgit.c:872)

Signed-off-by: Lukas Fleischer &lt;cgit@cryptocrack.de&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'><span class='column2'>|</span> * </td><td class='logsubject'><a href='/cgit/commit/?id=985d6ca7e70ca4774b81106e9eeecd619e5b3930' rel='nofollow'>cgit_print_tree(): Free curr_rev after usage</a></td><td>Lukas Fleischer</td><td><span title='2013-03-04 20:47:53 -0500'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
Fixes following memory leak seen with "PATH_INFO=/cgit/tree/":

    ==15715== 7 bytes in 1 blocks are definitely lost in loss record 4 of 51
    ==15715==    at 0x4C2C04B: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==15715==    by 0x56F2DF1: strdup (in /usr/lib/libc-2.17.so)
    ==15715==    by 0x46CAA8: xstrdup (wrapper.c:35)
    ==15715==    by 0x418A4C: cgit_print_tree (ui-tree.c:274)
    ==15715==    by 0x407D91: tree_fn (cmd.c:131)
    ==15715==    by 0x405E16: process_request (cgit.c:574)
    ==15715==    by 0x4074C8: cache_process (cache.c:322)
    ==15715==    by 0x406C4F: main (cgit.c:872)

Signed-off-by: Lukas Fleischer &lt;cgit@cryptocrack.de&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'><span class='column2'>|</span> * </td><td class='logsubject'><a href='/cgit/commit/?id=0ffdc46f0830d89e32204e1b30145b4c26727e6c' rel='nofollow'>find_default_branch(): Free refmatch after usage</a></td><td>Lukas Fleischer</td><td><span title='2013-03-04 19:55:34 -0500'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
Fixes following memory leak seen with "PATH_INFO=/cgit/refs/":

    ==13408== 7 bytes in 1 blocks are definitely lost in loss record 4 of 52
    ==13408==    at 0x4C2C04B: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==13408==    by 0x56F2DF1: strdup (in /usr/lib/libc-2.17.so)
    ==13408==    by 0x46CA78: xstrdup (wrapper.c:35)
    ==13408==    by 0x405840: find_current_ref (cgit.c:426)
    ==13408==    by 0x44BE5A: do_one_ref (refs.c:527)
    ==13408==    by 0x44D3E0: do_for_each_ref_in_dir (refs.c:553)
    ==13408==    by 0x44D85A: do_for_each_ref (refs.c:1298)
    ==13408==    by 0x405889: find_default_branch (cgit.c:438)
    ==13408==    by 0x405AC4: prepare_repo_cmd (cgit.c:490)
    ==13408==    by 0x405D97: process_request (cgit.c:557)
    ==13408==    by 0x407490: cache_process (cache.c:322)
    ==13408==    by 0x406C18: main (cgit.c:864)

Signed-off-by: Lukas Fleischer &lt;cgit@cryptocrack.de&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'><span class='column2'>|</span> * </td><td class='logsubject'><a href='/cgit/commit/?id=fab385ef5ca516dcda79df87eb926eccdda64a54' rel='nofollow'>print_tag_downloads(): Free ref variable</a></td><td>Lukas Fleischer</td><td><span title='2013-03-04 19:55:21 -0500'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
Make sure the ref variable is freed if we build a
"$basename-$version"-style ref.

This fixes following memory leak seen with "PATH_INFO=/cgit/refs/":

    ==8784== 323 bytes in 29 blocks are definitely lost in loss record 41 of 53
    ==8784==    at 0x4C2C04B: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==8784==    by 0x56F2DF1: strdup (in /usr/lib/libc-2.17.so)
    ==8784==    by 0x46CA28: xstrdup (wrapper.c:35)
    ==8784==    by 0x410DA6: print_tag_downloads (ui-refs.c:115)
    ==8784==    by 0x410F02: print_tag (ui-refs.c:141)
    ==8784==    by 0x41128B: cgit_print_tags (ui-refs.c:230)
    ==8784==    by 0x41134D: cgit_print_refs (ui-refs.c:250)
    ==8784==    by 0x407C85: refs_fn (cmd.c:105)
    ==8784==    by 0x405DDF: process_request (cgit.c:566)
    ==8784==    by 0x407490: cache_process (cache.c:322)
    ==8784==    by 0x406C18: main (cgit.c:864)

Signed-off-by: Lukas Fleischer &lt;cgit@cryptocrack.de&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'><span class='column2'>|</span> * </td><td class='logsubject'><a href='/cgit/commit/?id=1268afe83692cb8a9ea839ab979d82458da2d03d' rel='nofollow'>Free reflists after usage</a></td><td>Lukas Fleischer</td><td><span title='2013-03-04 19:55:12 -0500'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
Free reflists in cgit_print_branches() and in cgit_print_tags() before
returning reflist structures to the stack.

This fixes following memory leaks seen with "PATH_INFO=/cgit/refs/":

    ==5710== 1,312 (32 direct, 1,280 indirect) bytes in 1 blocks are definitely lost in loss record 63 of 71
    ==5710==    at 0x4C2C04B: malloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==5710==    by 0x4C2C2FF: realloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==5710==    by 0x46CA9B: xrealloc (wrapper.c:100)
    ==5710==    by 0x40AAA6: cgit_add_ref (shared.c:156)
    ==5710==    by 0x40ABC4: cgit_refs_cb (shared.c:186)
    ==5710==    by 0x44BCBA: do_one_ref (refs.c:527)
    ==5710==    by 0x44D240: do_for_each_ref_in_dir (refs.c:553)
    ==5710==    by 0x44D6BA: do_for_each_ref (refs.c:1298)
    ==5710==    by 0x410FE2: cgit_print_branches (ui-refs.c:191)
    ==5710==    by 0x4111E9: cgit_print_refs (ui-refs.c:244)
    ==5710==    by 0x407C85: refs_fn (cmd.c:105)
    ==5710==    by 0x405DDF: process_request (cgit.c:566)
    ==5710==
    ==5710== 6,846 (256 direct, 6,590 indirect) bytes in 1 blocks are definitely lost in loss record 68 of 71
    ==5710==    at 0x4C2C25E: realloc (in /usr/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==5710==    by 0x46CA9B: xrealloc (wrapper.c:100)
    ==5710==    by 0x40AAA6: cgit_add_ref (shared.c:156)
    ==5710==    by 0x40ABC4: cgit_refs_cb (shared.c:186)
    ==5710==    by 0x44BCBA: do_one_ref (refs.c:527)
    ==5710==    by 0x44D240: do_for_each_ref_in_dir (refs.c:553)
    ==5710==    by 0x44D6EC: do_for_each_ref (refs.c:1288)
    ==5710==    by 0x4110D5: cgit_print_tags (ui-refs.c:218)
    ==5710==    by 0x4111FD: cgit_print_refs (ui-refs.c:246)
    ==5710==    by 0x407C85: refs_fn (cmd.c:105)
    ==5710==    by 0x405DDF: process_request (cgit.c:566)
    ==5710==    by 0x407490: cache_process (cache.c:322)

Signed-off-by: Lukas Fleischer &lt;cgit@cryptocrack.de&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'><span class='column2'>|</span> * </td><td class='logsubject'><a href='/cgit/commit/?id=1a5e8633ce3ec7f3a82bc0f4ca5ca810473714b9' rel='nofollow'>ui-shared.c: Remove unused function print_archive_ref()</a></td><td>Lukas Fleischer</td><td><span title='2013-03-04 19:50:58 -0500'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
This is no longer used as of commit f135569b.

Signed-off-by: Lukas Fleischer &lt;cgit@cryptocrack.de&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'><span class='column2'>|</span> * </td><td class='logsubject'><a href='/cgit/commit/?id=71926bfb342b75a6721441b1fe9b9db8b50775d5' rel='nofollow'>ui-shared.c: Remove unused function cgit_currurl()</a></td><td>Lukas Fleischer</td><td><span title='2013-03-04 19:50:49 -0500'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
This is no longer used as of commit 0c8e184e.

Signed-off-by: Lukas Fleischer &lt;cgit@cryptocrack.de&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'><span class='column2'>|</span> * </td><td class='logsubject'><a href='/cgit/commit/?id=bafab423f20bc1448b293842c235965e1681f07e' rel='nofollow'>Mark several functions/variables static</a></td><td>Lukas Fleischer</td><td><span title='2013-03-04 19:50:39 -0500'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> 
<span class='column2'>|</span> <span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
Spotted by parsing the output of `gcc -Wmissing-prototypes [...]`.

Signed-off-by: Lukas Fleischer &lt;cgit@cryptocrack.de&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* <span class='column3'>|</span> </td><td class='logsubject'><a href='/cgit/commit/?id=6d8a789d61f3a682bc040f1f7f44050b1f723546' rel='nofollow'>ui-shared: fix return type of cgit_self_link</a></td><td>John Keeping</td><td><span title='2013-03-20 20:21:17 +0100'>2013-03-20</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span><span class='column3'>/</span>  
<span class='column3'>|</span>   
<span class='column3'>|</span>   
<span class='column3'>|</span>   
<span class='column3'>|</span>   
<span class='column3'>|</span>   
<span class='column3'>|</span>   
<span class='column3'>|</span>   
<span class='column3'>|</span>   
<span class='column3'>|</span>   
<span class='column3'>|</span>   
<span class='column3'>|</span>   
<span class='column3'>|</span>   
<span class='column3'>|</span>   </td>
<td colspan='3' class='logmsg'>
cgit_self_link() is a void function but implements each case it handles
by doing "return &lt;another_void_function&gt;" which is not valid C; section
6.8.6.4 of C11 says:

	A return statement with an expression shall not appear in a
	function whose return type is void.

Fix this by removing the return keywords and converting the final code
block into an "else".

Signed-off-by: John Keeping &lt;john@keeping.me.uk&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=d5a43b429a4248a02e3a403f76fff0cbae92ef32' rel='nofollow'>t0107-snapshot: add tests for ZIP archives</a></td><td>John Keeping</td><td><span title='2013-03-04 19:41:26 -0500'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
Signed-off-by: John Keeping &lt;john@keeping.me.uk&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=f9b801a1746d6c4476b230659d2e1f3714986550' rel='nofollow'>tests: make whitespace consistent</a></td><td>John Keeping</td><td><span title='2013-03-04 19:39:07 -0500'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
Signed-off-by: John Keeping &lt;john@keeping.me.uk&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=392e07d28a23aec9942b9ed0d122e35d2d268fb9' rel='nofollow'>tests: "grep -e" is not portable to all platforms</a></td><td>John Keeping</td><td><span title='2013-03-04 19:38:44 -0500'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
The "-e" option to grep is not needed unless specifying more than one
pattern, which we don't do.  Remove it to avoid restricting the tests on
platforms that do not have a grep that recognises "-e".

Signed-off-by: John Keeping &lt;john@keeping.me.uk&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=78a24e5c55ac57efab90cf1e65b9af226b388a39' rel='nofollow'>Makefile: Disable gettext in the Git submodule</a></td><td>Lukas Fleischer</td><td><span title='2013-03-04 09:27:43 -0500'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
Newer libgit versions depend on the libintl library. However, we
currently do not link against libintl which breaks compilation under
OpenBSD:

    git/libgit.a(commit.o)(.text+0x1d1b): In function `lookup_commit_or_die':
    git/gettext.h:47: undefined reference to `libintl_gettext'
    [...]

Since we do not support i18n in cgit, just disable gettext in the Git
submodule to fix this.

Signed-off-by: Lukas Fleischer &lt;cgit@cryptocrack.de&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=ca59b26dfd6e5bed6622fad2c57d57083714f9e7' rel='nofollow'>Makefile: improve dependency generation</a></td><td>Jamie Couture</td><td><span title='2013-03-04 09:25:24 -0500'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
Makefile target generation would always be included for any makefile
target that was not clean.  Only care to include the '.deps' directory
when building cgit, rather than generating and including dependencies
when calling other makefile targets.

Heavily borrowed from git's Makefile, but without definitions to test
for the compiler's header dependency feature.  Previous Makefile
implementation never checked for this compiler feature anyway.

  - Removed makecmdgoal 'clean' check
  - Grouped like .PHONY target definitions
  - Place build dependency targets under .SUFFIXES
  - Re-arranged location of library inclusion definitions
  - Use google code mirror instead of github

Signed-off-by: Jamie Couture &lt;jamie.couture@gmail.com&gt;
Signed-off-by: Jason A. Donenfeld &lt;Jason@zx2c4.com&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=fac4da38a074a831e2ef2476dde23a6bc073cc28' rel='nofollow'>cgit.c: Remove parameter from guess_defbranch()</a></td><td>Lukas Fleischer</td><td><span title='2013-03-04 09:12:55 -0500'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
We use resolve_ref() since commit 8d7c2ec2, so this is no longer needed.

Signed-off-by: Lukas Fleischer &lt;cgit@cryptocrack.de&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=210a5711ad8135de025b1a058079eead3d680a67' rel='nofollow'>ui-tree.c: Use a context structure in walk_tree()</a></td><td>Lukas Fleischer</td><td><span title='2013-03-04 09:12:55 -0500'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
Use the context pointer to pass context information instead of misusing
global variables, as we already did in "ui-blob.c" and in "ui-plain.c".

In addition to the fixes to walk_tree(), pass the same structure to
ls_tree() and ls_item() which is read_tree_recursive()-based as well.

Signed-off-by: Lukas Fleischer &lt;cgit@cryptocrack.de&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=bfe576624541febd6005ad6a4633680369a7dc34' rel='nofollow'>ui-tree.c: Drop the header variable</a></td><td>Lukas Fleischer</td><td><span title='2013-03-04 09:12:55 -0500'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
Instead, use the value of the state variable to determine whether the
footer needs to be drawn.

Signed-off-by: Lukas Fleischer &lt;cgit@cryptocrack.de&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=c4b8db3f0973bc63d60806d197b55dc2901870f0' rel='nofollow'>ui-tree.c: Declare the state variable globally</a></td><td>Lukas Fleischer</td><td><span title='2013-03-04 09:12:55 -0500'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
This allows for removing the header variable in a following patch. We
can use the state variable to check whether the tail needs to be printed
instead.

Note that the state variable will be moved into a context structure
later.

Signed-off-by: Lukas Fleischer &lt;cgit@cryptocrack.de&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=fb5a37317de9532509b9c398916c0290212ae233' rel='nofollow'>ui-tree.c: Pass current revision to print_object()</a></td><td>Lukas Fleischer</td><td><span title='2013-03-04 09:12:55 -0500'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
No longer access the global curr_rev variable in print_object().

This will make it easier to squash the curr_rev variable into a context
structure without having to pass the context to the print_object()
function.

Signed-off-by: Lukas Fleischer &lt;cgit@cryptocrack.de&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=b1db30cd2577fb59fb4490a284e0a34a0345cc02' rel='nofollow'>ui-plain.c: Use a context structure in walk_tree()</a></td><td>Lukas Fleischer</td><td><span title='2013-03-04 09:12:55 -0500'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
Do not misuse global variables to save the context. Instead, use the
context pointer which was designed to share information between a
read_tree_fn and the caller.

Signed-off-by: Lukas Fleischer &lt;cgit@cryptocrack.de&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=a6317505ead198c23925c93abbb0926f70e02861' rel='nofollow'>ui-plain.c: Do not access match variable in print_*()</a></td><td>Lukas Fleischer</td><td><span title='2013-03-04 09:12:54 -0500'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
Move all code setting the match variable to walk_tree().

This allows for easily moving this variable into a context structure
without having to pass the context to print_*().

Signed-off-by: Lukas Fleischer &lt;cgit@cryptocrack.de&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=41f9c4e2f66252c83c6524fa4a346839d4c454b2' rel='nofollow'>ui-blob.c: Use a context structure in walk_tree()</a></td><td>Lukas Fleischer</td><td><span title='2013-03-04 09:12:54 -0500'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
Do not misuse global variables to save the context. Instead, use the
context pointer which was designed to share information between a
read_tree_fn and the caller.

This also prevents from potential misuse of the global pointers
match_path and matched_sha1 after the referenced values have been
overwritten on the stack.

Signed-off-by: Lukas Fleischer &lt;cgit@cryptocrack.de&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=973deda0eaf4e16c8cc0b25ca1bff1faae17584e' rel='nofollow'>ui-snapshot.c: Fill argv[0] with dummy.</a></td><td>Jason A. Donenfeld</td><td><span title='2013-03-04 09:12:54 -0500'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
parse_archive_args does not pass PARSE_OPT_KEEP_ARGV0 to parse_args,
which means the first argument will be discarded, as though it were a
function being called from the command-line. Thus, we fill argv[0] with
a dummy argument to prevent this from happening.

Signed-off-by: Jason A. Donenfeld &lt;Jason@zx2c4.com&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=bdae1d8a8d39206ac75ab86f8e9ef53b2f29432e' rel='nofollow'>White space around control verbs.</a></td><td>Jason A. Donenfeld</td><td><span title='2013-03-04 09:12:54 -0500'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
Signed-off-by: Jason A. Donenfeld &lt;Jason@zx2c4.com&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=53bc747d311d18642fa3ad0cc0de34f3899ed1f4' rel='nofollow'>Fix several whitespace errors</a></td><td>Lukas Fleischer</td><td><span title='2013-03-04 01:12:48 +0100'>2013-03-04</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
* Remove whitespace at the end of lines.
* Replace space indentation by tabs.
* Add whitespace before/after several operators ("+", "-", "*", ...)
* Add whitespace to assignments ("foo = bar;").
* Fix whitespace in parameter lists ("foobar(foo, bar, 42)").

Signed-off-by: Lukas Fleischer &lt;cgit@cryptocrack.de&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=7f4e8c33aeb65bdc5695c9fd13ec1ceb100303c7' rel='nofollow'>Update git to v1.7.12.4</a></td><td>John Keeping</td><td><span title='2013-03-02 10:38:03 -0500'>2013-03-02</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
No changes needed.

Signed-off-by: John Keeping &lt;john@keeping.me.uk&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=10628b0e52f860f8c95c476f61a98a31b79ce776' rel='nofollow'>Update git to v1.7.9.7</a></td><td>John Keeping</td><td><span title='2013-03-02 10:38:03 -0500'>2013-03-02</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
resolve_ref() is renamed to resolve_ref_unsafe().  CGit's usage is safe.

Signed-off-by: John Keeping &lt;john@keeping.me.uk&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=87369611a8cc253c53408375960918eebf50d1cc' rel='nofollow'>Update git to v1.7.8.6</a></td><td>John Keeping</td><td><span title='2013-03-02 10:38:03 -0500'>2013-03-02</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
No changes required.

Signed-off-by: John Keeping &lt;john@keeping.me.uk&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=2ab1cd9f3b796fa679c9d1b1ce338aaa2b0b1e53' rel='nofollow'>Update git to v1.7.7.7</a></td><td>John Keeping</td><td><span title='2013-03-02 10:38:03 -0500'>2013-03-02</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
This release changes the archive interface so that we now need to pass
argv into write_archive().

Signed-off-by: John Keeping &lt;john@keeping.me.uk&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=c1633c6befb6762e1ac9434a29980e4df5ffee21' rel='nofollow'>Update git to v1.7.6.5</a></td><td>John Keeping</td><td><span title='2013-03-02 10:38:03 -0500'>2013-03-02</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
struct pathspec is now used in more places.

Signed-off-by: John Keeping &lt;john@keeping.me.uk&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=bfc14d067da0fdf65f306fcd9a65829d9694dbeb' rel='nofollow'>Update git to v1.7.5.4</a></td><td>John Keeping</td><td><span title='2013-03-02 10:38:03 -0500'>2013-03-02</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
Some changes to diff options:

- no_merges has become the more general max_parents
- path restriction now uses struct pathspec

Signed-off-by: John Keeping &lt;john@keeping.me.uk&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=c0a92e82da3063efc230538ba109ff95aa59589a' rel='nofollow'>Print submodule revision next to submodule link</a></td><td>stfn</td><td><span title='2013-03-02 10:26:28 -0500'>2013-03-02</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=05da4c2822f60649786c0dd81f01a3855846248f' rel='nofollow'>Support unannotated tags in git-clone.</a></td><td>Jason A. Donenfeld</td><td><span title='2013-02-01 21:11:32 +0100'>2013-02-01</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
Matthew McClintock reported that older unannotated tags were not
correctly being cloned and did not appear in info/refs. Further
investigation revealed some dubious prefix comparison code for
determining whether or not to write refs in info/refs. After comparing
it with git's own http-backend.c, it appears upstream does not use this
prefix logic.

OTOH, I don't know what the reasoning was when the prefix logic was
introduced. It appears to me to just be buggy, though it's possible
there are other reasons, and we'll have to revisit this commit.

But for now, Works For Me.

Signed-off-by: Jason A. Donenfeld &lt;Jason@zx2c4.com&gt;
Signed-off-by: Matthew McClintock &lt;msm@freescale.com&gt;
Reported-by: Matthew McClintock &lt;msm@freescale.com&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=225c8aba3171156fb917abe043ea55797e2cc1f9' rel='nofollow'>ssdiff: correctly manage tab expansion</a></td><td>Julius Plenz</td><td><span title='2013-02-01 13:46:47 +0100'>2013-02-01</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
Previously, replace_tabs("foo\tbar") would become "        foobar".

Signed-off-by: Julius Plenz &lt;plenz@cis.fu-berlin.de&gt;
Signed-off-by: Jason A. Donenfeld &lt;Jason@zx2c4.com&gt;


</td></tr>
<tr class='logheader'><td class='commitgraph'>* </td><td class='logsubject'><a href='/cgit/commit/?id=b1e172acca870e7999f2d2d917db7b4c42aa05b3' rel='nofollow'>Make "owner" column on index page configurable</a></td><td>Florian Pritz</td><td><span title='2013-02-01 12:50:24 +0100'>2013-02-01</span></td></tr>
<tr class='nohover-highlight'><td class='commitgraph'><span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> 
<span class='column3'>|</span> </td>
<td colspan='3' class='logmsg'>
This is not really needed for personal sites where all repos belong to
the same person. Since it is pretty useful for shared sites however, it
should be configurable.

Signed-off-by: Florian Pritz &lt;bluewind@xinu.at&gt;
Signed-off-by: Jason A. Donenfeld &lt;Jason@zx2c4.com&gt;


</td></tr>
</table><ul class='pager'><li><a href='/cgit/log/?id=4f6fb32f5881a093be4c2f41c72813b80404c569&amp;ofs=50&amp;showmsg=1'>[prev]</a></li><li><a href='/cgit/log/?id=4f6fb32f5881a093be4c2f41c72813b80404c569&amp;ofs=150&amp;showmsg=1'>[next]</a></li></ul></div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3-54-g00ecf</a> (<a href='https://git-scm.com/'>git 2.39.0</a>) at 2025-01-09 17:47:08 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
